/**
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.aries.cdi.extension.mp.jwt.test;

import static org.assertj.core.api.Assertions.assertThat;

import org.junit.Before;
import org.osgi.service.jaxrs.runtime.dto.RuntimeDTO;

public class MpJwtAuthTests extends JaxrsBaseTestCase {

	@Before
	public void setUp() throws Exception {
		installBundle.installBundle("tb01.jar");

		int count = 100;
		RuntimeDTO runtimeDTO;
		while ((runtimeDTO = jsr.getRuntimeDTO()).defaultApplication.resourceDTOs.length < 3 && (count > 0)) {
			count--;
			Thread.sleep(100);
		}

		assertThat(runtimeDTO.defaultApplication.resourceDTOs).extracting("name").contains(
			"AsyncEndpoint", "PassthroughEndpoint", "TokenInspector");
	}

}
